/*
 * Create:      刘丹
 * CreateDate:  2023/10/19
 * Describe：   电子病历模板-门诊日志-查看病历 历史查询-查看病历 验光单查询-查看单据
 * 参数说明如下：
 * admID 必传 就诊ID
 * token 必传 查询EMR数据的token
 * recordID 非必传 具体查看的某一份病历
 * hideSort 非必传 是否隐藏左侧的分了树 默认false
 * */
import React from 'react';
import { initIframeUrl } from './utils/index.js';

class CaseInformationLog extends React.Component {
  constructor(props) {
    super(props);
    const userData = React.$getSessionData(); //
    this.state = {
      iframeUrl: '',
      userData,
    };
  }
  componentDidMount () {
    this.initIframeUrl();
  }
  /**
   * 初始化IFRAM地址的url地址
   */
  initIframeUrl = () => {
    const url = initIframeUrl('/nav/editorRead', this.state.userData, {
      ...this.props,
    });
    this.setState({
      iframeUrl: url,
    });
  }
  render () {
    return (
      <>
        {
          this.state.iframeUrl && <iframe
            ref={this.state.ref}
            src={this.state.iframeUrl}
            frameborder="0"
            style={{ height: 'calc(100% - 20px)', width: '100%' }}
          ></iframe>
        }
      </>
    )
  }
};
export default CaseInformationLog;
